Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.datagen
Interface WhereClause

All Superinterfaces:
  org.eclipse.emf.cdo.CDOObject, org.eclipse.emf.cdo.common.id.CDOWithID, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface WhereClause

extends org.eclipse.emf.cdo.CDOObject

A representation of the model object 'Where Clause'. Determina la condizione di selezione della query, che va ad aggiungersi all'eventuale criterio di join.

The following features are supported:

- `Freetext Expression`

See Also:
  `DatagenPackage.getWhereClause()`

Method Summary
`java.lang.String` | `getFreetextExpression()` Returns the value of the 'Freetext Expression' attribute
`void` | `setFreetextExpression(java.lang.String value)` Sets the value of the '`Freetext Expression`' attribute

Methods inherited from interface org.eclipse.emf.cdo.CDOObject
`cdoConflict, cdoDirectResource, cdoID, cdoInvalid, cdoPrefetch, cdoReadLock, cdoReload, cdoResource, cdoRevision, cdoState, cdoView, cdoWriteLock`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFreetextExpression

    java.lang.String getFreetextExpression()

  Returns the value of the 'Freetext Expression' attribute.

  If the meaning of the 'Freetext Expression' attribute isn't clear, there really should be more of a description here...

  Espressione SQL scritta a mano che determina la clausola where (in aggiunta alla eventuale espressione derivante dai criteri di JOIN). Non si deve aggingere nessun "AND" iniziale e non viene effettuato nessun controllo sulla correttezza della sintassi/semantica. Nella stringa è possibile indicare dei segnaposto nella forma ":nome_parametro". La sostituzione dei valori va fatta nel codice relativo al Finder.

  Returns:
    the value of the 'Freetext Expression' attribute.
  See Also:
    `setFreetextExpression(String)`, `DatagenPackage.getWhereClause_FreetextExpression()`

### setFreetextExpression

    void setFreetextExpression(java.lang.String value)

  Sets the value of the '`Freetext Expression`' attribute.

  Parameters:
    `value` - the new value of the 'Freetext Expression' attribute.
  See Also:
    `getFreetextExpression()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD